package beans;

import java.util.Locale;
import java.util.ResourceBundle;
import javax.faces.component.UIViewRoot;
import javax.faces.context.FacesContext;

public class Messages {

    public static String getMessage(String bundleName, String resourceId) {
        FacesContext context = FacesContext.getCurrentInstance();
        Locale locale = getLocale(context);
        ClassLoader loader = getClassLoader();
        ResourceBundle rb = ResourceBundle.getBundle(bundleName, locale, loader);
        return rb.getString(resourceId);
    }

    public static Locale getLocale(FacesContext context) {
        Locale locale = null;
        UIViewRoot viewRoot = context.getViewRoot();
        if (viewRoot != null) {
            locale = viewRoot.getLocale();
        }
        if (locale == null) {
            locale = Locale.getDefault();
        }
        return locale;
    }

    public static ClassLoader getClassLoader() {
        ClassLoader loader = Thread.currentThread().getContextClassLoader();
        if (loader == null) {
            loader = ClassLoader.getSystemClassLoader();
        }
        return loader;
    }
}
